1. ChaoticAngel234's Avatar
    Hi, I read online that the gear s2 watch is compatible with samsung galaxy mega 5.8 but the thing is , the mega 5.8 runs android version 4.2.2 and the article mentioned that android version 4.3 + was the minimum requirement.

    Please can you clear the air on this?
    04-07-2016 05:26 AM

Similar Threads

  1. Replies: 2
    Last Post: 05-14-2016, 12:02 PM
  2. Replies: 9
    Last Post: 04-15-2016, 12:29 AM
  3. Need help with twrp, anyone?
    By AC Question in forum LG Android Phones
    Replies: 0
    Last Post: 04-07-2016, 03:19 AM
  4. Wifi Issues with Samsung S7, how can I fix them?
    By AC Question in forum Samsung Galaxy S7
    Replies: 1
    Last Post: 04-07-2016, 02:39 AM
LINK TO POST COPIED TO CLIPBOARD